ctdUpdateHeader {oce} | R Documentation

## Update a CTD header

### Description

Update the header of a `ctd` object

### Usage

    ctdUpdateHeader(x, debug=FALSE)

### Arguments

`x` | A `ctd` object, e.g. as read by `read.ctd`.
`debug` | Set to `TRUE` for debugging.

### Details

Update the header of a `ctd` object, e.g. adjusting `nvalues` and the `span` of each column. This is done automatically by `ctdTrim`, for example.

### Value

A new `ctd` object.

### Author(s)

Dan Kelley

### References

The Seabird CTD instrument is described at http://www.seabird.com/products/spec_sheets/19plusdata.htm.

### See Also

The documentation for `ctd-class` explains the structure of CTD objects, and also outlines the other functions dealing with them.

### Examples

    library(oce)
    data(ctd)
    ctd[["pressure"]] <- ctd[["pressure"]] + 3
    ctdNew <- ctdUpdateHeader(ctd)

[Package oce version 0.9-18 Index]